Skip to main content
`Ctrl`+`K`

# SNESSetFunctionNorm

Sets the last computed residual norm.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESSetFunctionNorm(SNES snes, PetscReal norm)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- norm - the value of the norm

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetNormSchedule()`, `SNESComputeFunction()`, `VecNorm()`, `SNESSetFunction()`, `SNESSetInitialFunction()`, `SNESNormSchedule`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages